Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class CoyotePrincipal

    java.lang.Object
      org.apache.catalina.connector.CoyotePrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

    public class CoyotePrincipal

extends java.lang.Object
implements java.security.Principal, java.io.Serializable

Generic implementation of java.security.Principal that is used to represent principals authenticated at the protocol handler level.

Version:
  $Id: CoyotePrincipal.java 945821 2010-05-18 18:53:26Z markt $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name` The username of the user represented by this Principal.

Constructor Summary
`CoyotePrincipal(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `toString()` Return a String representation of this object, which exposes only information that should be public.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Field Detail

### name

    protected java.lang.String name

  The username of the user represented by this Principal.

Constructor Detail

### CoyotePrincipal

    public CoyotePrincipal(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### toString

    public java.lang.String toString()

  Return a String representation of this object, which exposes only information that should be public.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.